
use Test::More tests => 3;

use Devel::Peek::Capture qw(is_shared);

eval q{
    require threads;
    require threads::shared;
};

SKIP: {
    skip "Can't use threads.", 3 if($@);

my $foo;

threads::shared::share(\$foo);

ok( is_shared($foo) );

$foo = &threads::shared::share({});

$foo->{bar} = 1;

ok( is_shared($foo) );
ok( !is_shared($foo->{bar}) );

}
